{% extends "base.html.twig" %}

{% block pageTitle %}
    <h1>{{ decret.titre }}</h1>
{% endblock %}

{% block actions %}
    <div id="interactions">
        <div class="container">
            <div class="row">
                <div class="btn-group" role="group" aria-label="Basic outlined example">
                    <a type="button" class="btn btn-outline-warning" href="{{ path('modifierDecret', {'id' : decret.id}) }}">Editer</a>
                    <a type="button" class="btn btn-outline-danger">Supprimer</a>
                    <a type="button" class="btn btn-outline-info" href="{{ path('pdf', {'id' : decret.id}) }}">Imprimer</a>
                </div>
            </div>
        </div>
    </div>
{% endblock %}


{% block body %}
    <div class="row" id="main">
        <div class="col-md-12">
            {% if decret.dateClose != null and decret.actif == 'S'%}
                <span class="badge bg-danger">Supprimé le : {{ decret.dateclose|date("d/m/Y") }} {{ decret.editeur.nom }}</span>
            {% endif %}
            <span class="badge bg-primary">Publié le : {{ decret.dateinsert|date("d/m/Y") }} par {{ decret.auteur.nom }}</span>
            {% if decret.dateUpdate != null and decret.dateClose == null %}
            <span class="badge bg-warning">Modifié le : {{ decret.dateupdate|date("d/m/Y") }} par {{ decret.editeur.nom }}</span>
            {% endif %}
            <span class="badge bg-success">Entrée en application le : {{ decret.dateapply|date("d/m/Y") }}</span>
            <p>{{ decret.idInstance.nom }}</p>
            {% if decret.actif == 'S' %}
                <h2 class="alert-danger">Attention, de décret a été supprimé et n'est plus en application. Aucun élément présent dans ce texte ne peut
                être pris en compte.</h2>
            {% endif %}
            <hr style="width: 100%; color: black; height: 1px; background-color:black;" />
            {{ decret.contenu|raw }}
        </div>
    </div>

{% endblock %}
